Module java.xml
Package javax.xml.catalog

## Class CatalogFeatures.Builder

- java.lang.Object
- - javax.xml.catalog.CatalogFeatures.Builder

Enclosing class:
  CatalogFeatures

    public static class CatalogFeatures.Builder
    extends Object

The Builder class for building the CatalogFeatures object.

### Method Summary

All Methods Instance Methods Concrete Methods
`CatalogFeatures` `build()` Returns a CatalogFeatures object built by this builder.
`CatalogFeatures.Builder` `with​(CatalogFeatures.Feature feature, String value)` Sets the value to a specified Feature.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### with

    public CatalogFeatures.Builder with​(CatalogFeatures.Feature feature,
                                        String value)

Sets the value to a specified Feature.

Parameters:
  `feature` - the Feature to be set
  `value` - the value to be set for the Feature
Returns:
  this Builder instance
Throws:
  `IllegalArgumentException` - if the value is not valid for the Feature or has the wrong syntax for the `javax.xml.catalog.files` property

#### build

    public CatalogFeatures build()

Returns a CatalogFeatures object built by this builder.

Returns:
  an instance of CatalogFeatures